### execution::relationship_t

A property to describe whether submitted tasks represent continuations of the calling context.

    struct relationship_t

##### Types

Name | Description
--- | ---
continuation_t | A sub-property that indicates that the executor represents a continuation of the calling context.
fork_t | A sub-property that indicates that the executor does not represent a continuation of the calling context.
polymorphic_query_result_type | The type returned by queries against an any_executor.

##### Member Functions

Name | Description
--- | ---
relationship_t [constructor] | Default constructor. — Construct from a sub-property value.

##### Data Members

Name | Description
--- | ---
continuation [static] | A special value used for accessing the relationship_t::continuation_t property.
fork [static] | A special value used for accessing the relationship_t::fork_t property.
is_applicable_property_v [static] | The relationship_t property applies to executors, senders, and schedulers.
is_preferable [static] | The top-level relationship_t property cannot be preferred.
is_requirable [static] | The top-level relationship_t property cannot be required.

##### Friends

Name | Description
--- | ---
operator!= | Compare property values for inequality.
operator== | Compare property values for equality.

##### Requirements

Header: `asio/execution/relationship.hpp`

Convenience header: `asio/execution.hpp`